ifeq "$(LOG)" ""
	LOG=no
endif

ifeq "$(LOG)" "no"
	L=@
endif

ifdef ($(OS),Windows_NT)
	FixPath = $(subst /,\,$1)
	AddExt = $(addsuffix .exe,$1)
	Cat = $(shell type $1)
	RM = del /Q

	BINPATH := C:\Program Files (x86)\Atmel\Atmel Toolchain\AVR8 GCC\Native\3.4.1061\avr8-gnu-toolchain\bin
	DOXYGEN :=
else
	ifeq ($(shell uname), Linux)
		FixPath = $1
		AddExt = $1
		Cat = $(shell cat $1)
		RM = rm -rf
		MKDIR = mkdir -p

		BINPATH := /usr/bin
		DOXYGEN := /usr/bin/doxygen
		INSTALL := /usr/bin/install

		AVARICE := /usr/bin/avarice

		ifeq "$(LOG)" "no"
			CP = cp -f
		else
			CP = cp -vf
		endif

		ifeq "$(LOG)" "no"
			SVN := /usr/bin/svn --quiet
		else
			SVN := /usr/bin/svn
		endif

		HOST_BINPATH := /usr/x86_64-pc-linux-gnu/gcc-bin/9.3.0/
	endif
endif

SRC_DIR = $(BASE_DIR)/source
INSTALL_DIR = $(BASE_DIR)/install
BUILD_DIR = $(BASE_DIR)/build

PREFIX = avr-

BinPath = $(call FixPath,$(BINPATH)/$(call AddExt,$(PREFIX)$1))
HOST_BinPath = $(call FixPath,$(HOST_BINPATH)/$(call AddExt,$1))

InstallPath = $(call FixPath,$(INSTALL_DIR)/$1)
SourcePath = $(call FixPath,$(SRC_DIR)/$1)
BuildPath = $(call FixPath,$(BUILD_DIR)/$1)

CC := $(call BinPath,gcc)
AS := $(call BinPath,as)
AR := $(call BinPath,ar)
RANLIB := $(call BinPath,ranlib)
SIZE := $(call BinPath,size)
OBJCPY := $(call BinPath,objcopy)
OBJDMP := $(call BinPath,objdump)

HOST_CC := $(call HOST_BinPath,gcc)
HOST_CPP := $(call HOST_BinPath,g++)
HOST_AR := $(call HOST_BinPath,gcc-ar)
